ekg-0.3.1.3: Remote monitoring of processes

Safe Haskell | Safe-Inferred

System.Remote.Label

Description

This module defines a type for mutable, string-valued labels. Labels are variable values and can be used to track e.g. the command line arguments or other free-form values. All operations on labels are thread-safe.

Synopsis

- data Label
- set :: Label -> Text -> IO ()
- modify :: (Text -> Text) -> Label -> IO ()

# Documentation

data Label Source

A mutable, text-valued label.

set :: Label -> Text -> IO ()Source

Set the label to the given value.

modify :: (Text -> Text) -> Label -> IO ()Source

Set the label to the result of applying the given function to the value.